UVM_FAULT(9)

NAME
uvm_fault - page fault handling

SYNOPSIS
#include <sys/param.h>
#include <uvm/uvm.h>
int
uvm_fault(vm_map_t orig_map, vaddr_t vaddr, vm_fault_t fault_type, vm_prot_t access_type);

DESCRIPTION
The uvm_fault() function is the main entry point for faults. It takes orig_map as the map the fault originated in, a vaddr offset into the map the fault occurred, fault_type describing the type of fault, and access_type describing the type of access requested. uvm_fault() returns a standard errno.

SEE ALSO
pmap(9)